### GET /me/activities Source: https://developers.soundcloud.com/docs/api/explorer/api.json API endpoint for GET /me/activities ```markdown ### Parameters - **access** (array (string (playable|preview|blocked)), query, optional): Filters content by level of access the user (logged in or anonymous) has to the track. The result list will include only tracks with the specified access. Include all options if you'd like to see all possible tracks. See `Track#access` schema for more details. - **limit** (integer, query, optional): Number of results to return in the collection. ### Responses #### 200 - response **Activities** - **collection** (array (object)) Array items: - **type** (string): Type of activity (track). - **created_at** (string): Created timestamp. - **origin** (object): Soundcloud Track object. - **kind** (string): Type of object (track). - **title** (string): Track title. - **artwork_url** (string): URL to a JPEG image. - **bpm** (number (double)): Tempo. - **comment_count** (integer (int64)): Number of comments. - **commentable** (boolean): Is commentable. - **created_at** (string): Created timestamp. - **description** (string): Track description. - **download_count** (integer (int64)): Number of downloads. - **downloadable** (boolean): Is downloadable. - **duration** (integer): Track duration in milliseconds. - **embeddable_by** (string): Embeddable by. - **favoritings_count** (integer (int64)): Number of favoritings. - **genre** (string): Genre - **urn** (string): Track URN identifier. - **isrc** (string): ISRC code. - **key_signature** (string): Key signature. - **label_name** (string): Label user name. - **license** (string): License - **metadata_artist** (string): Optional artist name, when different from user. - **permalink_url** (string): Permalink URL. - **playback_count** (integer (int64)): Number of plays. - **purchase_title** (string): Purchase title. - **purchase_url** (string): Purchase URL. - **release** (string): Release. - **release_day** (integer): Day of release. - **release_month** (integer): Month of release. - **release_year** (integer): Year of release. - **sharing** (string): Type of sharing (public/private). - **stream_url** (string): URL to stream (preview only) - **streamable** (boolean): Is streamable. - **tag_list** (string): Tags. - **uri** (string): Track URI. - **user** (object): User who uploaded a track - **avatar_url** (string): URL to a JPEG image - **city** (string): city - **country** (string): country - **description** (string): description - **discogs_name** (string): discogs name - **first_name** (string): first name - **followers_count** (integer): number of followers - **followings_count** (integer): number of followed users - **full_name** (string): first and last name - **urn** (string): unique identifier - **kind** (string): kind of resource - **created_at** (string (date-time)): profile creation datetime - **last_modified** (string (date-time)): last modified datetime - **last_name** (string): last name - **permalink** (string): permalink of the resource - **permalink_url** (string): URL to the SoundCloud.com page - **plan** (string): subscription plan of the user - **playlist_count** (integer): number of public playlists - **public_favorites_count** (integer): number of favorited public tracks - **reposts_count** (integer): number of reposts from user - **track_count** (integer): number of public tracks - **uri** (string): API resource URL - **username** (string): username - **website** (string): a URL to the website - **website_title** (string): a custom title for the website - **subscriptions** (array): a list subscriptions associated with the user - **user_favorite** (boolean): Is user's favourite. It is only set when fetching search results or single track, otherwise it is false. - **user_playback_count** (integer): Number of plays by a user. - **waveform_url** (string): Waveform URL. - **available_country_codes** (string): List of country codes where track is available. - **access** (string (playable|preview|blocked)): Level of access the user (logged in or anonymous) has to the track. * `playable` - user is allowed to listen to a full track. * `preview` - user is allowed to preview a track, meaning a snippet is available * `blocked` - user can only see the metadata of a track, no streaming is possible ("playable"|"preview"|"blocked") - **download_url** (string): URL to download a track. Omitted or null when track is not downloadable. - **reposts_count** (integer): Number of reposts. - **reveal_stats** (boolean): Whether play and favorite counts are visible. When false (quiet mode), stats are hidden. - **reveal_comments** (boolean): Whether comments are visible. When false (quiet mode), comments are hidden. - **secret_uri** (string): Secret URL. - **next_href** (string) - **future_href** (string) #### 401 - response **Error** - **code** (integer) - **message** (string) - **link** (string) - **error** (string) - **errors** (array (string)) - **status** (string) ### Example Usage ```bash curl -X GET "https://api.soundcloud.com/me/activities?access=playable,preview&limit=50" ``` ``` -------------------------------- ### GET /me/followings Source: https://developers.soundcloud.com/docs/api/explorer/api.json API endpoint for GET /me/followings ```markdown ### Parameters - **limit** (integer, query, optional): Number of results to return in the collection. - **offset** (integer, query, optional): Offset of first result. Deprecated, use `linked_partitioning` instead. ### Responses #### 200 - response **Users** - **collection** (array (User)) Array items: - **avatar_url** (string): URL to a JPEG image - **city** (string): city - **country** (string): country - **description** (string): description - **discogs_name** (string): discogs name - **first_name** (string): first name - **followers_count** (integer): number of followers - **followings_count** (integer): number of followed users - **full_name** (string): first and last name - **urn** (string): unique identifier - **kind** (string): kind of resource - **created_at** (string (date-time)): profile creation datetime - **last_modified** (string (date-time)): last modified datetime - **last_name** (string): last name - **permalink** (string): permalink of the resource - **permalink_url** (string): URL to the SoundCloud.com page - **plan** (string): subscription plan of the user - **playlist_count** (integer): number of public playlists - **public_favorites_count** (integer): number of favorited public tracks - **reposts_count** (integer): number of reposts from user - **track_count** (integer): number of public tracks - **uri** (string): API resource URL - **username** (string): username - **website** (string): a URL to the website - **website_title** (string): a custom title for the website - **subscriptions** (array): a list subscriptions associated with the user - **next_href** (string) #### 401 - response **Error** - **code** (integer) - **message** (string) - **link** (string) - **error** (string) - **errors** (array (string)) - **status** (string) ### Example Usage ```bash curl -X GET "https://api.soundcloud.com/me/followings?limit=50&offset=0" ``` ``` -------------------------------- ### GET /me/activities/all/own Source: https://developers.soundcloud.com/docs/api/explorer/api.json API endpoint for GET /me/activities/all/own ```markdown ### Parameters - **access** (array (string (playable|preview|blocked)), query, optional): Filters content by level of access the user (logged in or anonymous) has to the track. The result list will include only tracks with the specified access. Include all options if you'd like to see all possible tracks. See `Track#access` schema for more details. - **limit** (integer, query, optional): Number of results to return in the collection. ### Responses #### 200 - response **Activities** - **collection** (array (object)) Array items: - **type** (string): Type of activity (track). - **created_at** (string): Created timestamp. - **origin** (object): Soundcloud Track object. - **kind** (string): Type of object (track). - **title** (string): Track title. - **artwork_url** (string): URL to a JPEG image. - **bpm** (number (double)): Tempo. - **comment_count** (integer (int64)): Number of comments. - **commentable** (boolean): Is commentable. - **created_at** (string): Created timestamp. - **description** (string): Track description. - **download_count** (integer (int64)): Number of downloads. - **downloadable** (boolean): Is downloadable. - **duration** (integer): Track duration in milliseconds. - **embeddable_by** (string): Embeddable by. - **favoritings_count** (integer (int64)): Number of favoritings. - **genre** (string): Genre - **urn** (string): Track URN identifier. - **isrc** (string): ISRC code. - **key_signature** (string): Key signature. - **label_name** (string): Label user name. - **license** (string): License - **metadata_artist** (string): Optional artist name, when different from user. - **permalink_url** (string): Permalink URL. - **playback_count** (integer (int64)): Number of plays. - **purchase_title** (string): Purchase title. - **purchase_url** (string): Purchase URL. - **release** (string): Release. - **release_day** (integer): Day of release. - **release_month** (integer): Month of release. - **release_year** (integer): Year of release. - **sharing** (string): Type of sharing (public/private). - **stream_url** (string): URL to stream (preview only) - **streamable** (boolean): Is streamable. - **tag_list** (string): Tags. - **uri** (string): Track URI. - **user** (object): User who uploaded a track - **avatar_url** (string): URL to a JPEG image - **city** (string): city - **country** (string): country - **description** (string): description - **discogs_name** (string): discogs name - **first_name** (string): first name - **followers_count** (integer): number of followers - **followings_count** (integer): number of followed users - **full_name** (string): first and last name - **urn** (string): unique identifier - **kind** (string): kind of resource - **created_at** (string (date-time)): profile creation datetime - **last_modified** (string (date-time)): last modified datetime - **last_name** (string): last name - **permalink** (string): permalink of the resource - **permalink_url** (string): URL to the SoundCloud.com page - **plan** (string): subscription plan of the user - **playlist_count** (integer): number of public playlists - **public_favorites_count** (integer): number of favorited public tracks - **reposts_count** (integer): number of reposts from user - **track_count** (integer): number of public tracks - **uri** (string): API resource URL - **username** (string): username - **website** (string): a URL to the website - **website_title** (string): a custom title for the website - **subscriptions** (array): a list subscriptions associated with the user - **user_favorite** (boolean): Is user's favourite. It is only set when fetching search results or single track, otherwise it is false. - **user_playback_count** (integer): Number of plays by a user. - **waveform_url** (string): Waveform URL. - **available_country_codes** (string): List of country codes where track is available. - **access** (string (playable|preview|blocked)): Level of access the user (logged in or anonymous) has to the track. * `playable` - user is allowed to listen to a full track. * `preview` - user is allowed to preview a track, meaning a snippet is available * `blocked` - user can only see the metadata of a track, no streaming is possible ("playable"|"preview"|"blocked") - **download_url** (string): URL to download a track. Omitted or null when track is not downloadable. - **reposts_count** (integer): Number of reposts. - **reveal_stats** (boolean): Whether play and favorite counts are visible. When false (quiet mode), stats are hidden. - **reveal_comments** (boolean): Whether comments are visible. When false (quiet mode), comments are hidden. - **secret_uri** (string): Secret URL. - **next_href** (string) - **future_href** (string) #### 401 - response **Error** - **code** (integer) - **message** (string) - **link** (string) - **error** (string) - **errors** (array (string)) - **status** (string) ### Example Usage ```bash curl -X GET "https://api.soundcloud.com/me/activities/all/own?access=playable,preview&limit=50" ``` ``` -------------------------------- ### GET /me Source: https://developers.soundcloud.com/docs/api/explorer/api.json API endpoint for GET /me ```markdown ### Responses #### 200 - response **Me** - **avatar_url** (string): URL to a JPEG image. - **city** (string): city. - **comments_count** (integer): comments count. From now on, the field always has a `0` value. - **country** (string): country. - **created_at** (string): created at date - **description** (string): description. - **discogs_name** (string): discogs name. - **first_name** (string): first name. - **followers_count** (integer): number of followers. - **followings_count** (integer): number of followed users. - **full_name** (string): first and last name. - **urn** (string): unique identifier - **kind** (string): kind of resource. - **last_modified** (string): last modified timestamp. - **last_name** (string): last name. - **likes_count** (integer): likes count. - **locale** (string): locale. - **online** (boolean): online. - **permalink** (string): permalink of the resource. - **permalink_url** (string): URL to the SoundCloud.com page. - **plan** (string): subscription plan of the user. - **playlist_count** (integer): number of public playlists. - **primary_email_confirmed** (boolean): boolean if email is confirmed. - **private_playlists_count** (integer): number of private playlists. - **private_tracks_count** (integer): number of private tracks. - **public_favorites_count** (integer): number of favorited public tracks - **quota** (object): user's upload quota - **unlimited_upload_quota** (boolean): unlimited upload quota. - **upload_seconds_used** (integer): upload seconds used. - **upload_seconds_left** (integer): upload seconds left. - **reposts_count** (integer): number of reposts from user - **subscriptions** (array): a list subscriptions associated with the user - **track_count** (integer): number of public tracks. - **upload_seconds_left** (integer): upload seconds left. - **uri** (string): API resource URL. - **username** (string): username - **website** (string): a URL to the website. - **website_title** (string): a custom title for the website. #### 401 - response **Error** - **code** (integer) - **message** (string) - **link** (string) - **error** (string) - **errors** (array (string)) - **status** (string) ### Example Usage ```bash curl -X GET "https://api.soundcloud.com/me" ``` ``` -------------------------------- ### GET /resolve Source: https://developers.soundcloud.com/docs/api/explorer/api.json API endpoint for GET /resolve ```markdown ### Parameters - **url** (string, query, required): SoundCloud URL ### Responses #### 302 - response **Found** - **status** (string): Status code. - **location** (string): Location URL of the resource. #### 404 - response **Error** - **code** (integer) - **message** (string) - **link** (string) - **error** (string) - **errors** (array (string)) - **status** (string) ### Example Usage ```bash curl -X GET "https://api.soundcloud.com/resolve?url=string" ``` ``` -------------------------------- ### GET /users Source: https://developers.soundcloud.com/docs/api/explorer/api.json API endpoint for GET /users ```markdown ### Parameters - **q** (string, query, optional): search - **urns** (string, query, optional): A comma separated list of track urns to filter on - **limit** (integer, query, optional): Number of results to return in the collection. - **offset** (integer, query, optional): Offset of first result. Deprecated, use `linked_partitioning` instead. - **linked_partitioning** (boolean, query, optional): Returns paginated collection of items (recommended, returning a list without pagination is deprecated and should not be used) ### Responses #### 200 - response **Users** - **collection** (array (User)) Array items: - **avatar_url** (string): URL to a JPEG image - **city** (string): city - **country** (string): country - **description** (string): description - **discogs_name** (string): discogs name - **first_name** (string): first name - **followers_count** (integer): number of followers - **followings_count** (integer): number of followed users - **full_name** (string): first and last name - **urn** (string): unique identifier - **kind** (string): kind of resource - **created_at** (string (date-time)): profile creation datetime - **last_modified** (string (date-time)): last modified datetime - **last_name** (string): last name - **permalink** (string): permalink of the resource - **permalink_url** (string): URL to the SoundCloud.com page - **plan** (string): subscription plan of the user - **playlist_count** (integer): number of public playlists - **public_favorites_count** (integer): number of favorited public tracks - **reposts_count** (integer): number of reposts from user - **track_count** (integer): number of public tracks - **uri** (string): API resource URL - **username** (string): username - **website** (string): a URL to the website - **website_title** (string): a custom title for the website - **subscriptions** (array): a list subscriptions associated with the user - **next_href** (string) #### 400 - response **Error** - **code** (integer) - **message** (string) - **link** (string) - **error** (string) - **errors** (array (string)) - **status** (string) #### 401 - response **Error** - **code** (integer) - **message** (string) - **link** (string) - **error** (string) - **errors** (array (string)) - **status** (string) ### Example Usage ```bash curl -X GET "https://api.soundcloud.com/users?q=string&urns=string&limit=50&offset=0&linked_partitioning=true" ``` ``` -------------------------------- ### GET /me/followings/tracks Source: https://developers.soundcloud.com/docs/api/explorer/api.json API endpoint for GET /me/followings/tracks ```markdown ### Parameters - **access** (array (string (playable|preview|blocked)), query, optional): Filters content by level of access the user (logged in or anonymous) has to the track. The result list will include only tracks with the specified access. Include all options if you'd like to see all possible tracks. See `Track#access` schema for more details. - **limit** (integer, query, optional): Number of results to return in the collection. - **offset** (integer, query, optional): Offset of first result. Deprecated, use `linked_partitioning` instead. ### Responses #### 200 - response **TracksList** - Array of Track #### 401 - response **Error** - **code** (integer) - **message** (string) - **link** (string) - **error** (string) - **errors** (array (string)) - **status** (string) ### Example Usage ```bash curl -X GET "https://api.soundcloud.com/me/followings/tracks?access=playable,preview&limit=50&offset=0" ``` ``` -------------------------------- ### Schema: Activities Source: https://developers.soundcloud.com/docs/api/explorer/api.json User's activities. ```markdown ## Schema: Activities User's activities. **Type:** object - **collection** (array (object)) Array items: - **type** (string): Type of activity (track). - **created_at** (string): Created timestamp. - **origin** (object): Soundcloud Track object. - **kind** (string): Type of object (track). - **title** (string): Track title. - **artwork_url** (string): URL to a JPEG image. - **bpm** (number (double)): Tempo. - **comment_count** (integer (int64)): Number of comments. - **commentable** (boolean): Is commentable. - **created_at** (string): Created timestamp. - **description** (string): Track description. - **download_count** (integer (int64)): Number of downloads. - **downloadable** (boolean): Is downloadable. - **duration** (integer): Track duration in milliseconds. - **embeddable_by** (string): Embeddable by. - **favoritings_count** (integer (int64)): Number of favoritings. - **genre** (string): Genre - **urn** (string): Track URN identifier. - **isrc** (string): ISRC code. - **key_signature** (string): Key signature. - **label_name** (string): Label user name. - **license** (string): License - **metadata_artist** (string): Optional artist name, when different from user. - **permalink_url** (string): Permalink URL. - **playback_count** (integer (int64)): Number of plays. - **purchase_title** (string): Purchase title. - **purchase_url** (string): Purchase URL. - **release** (string): Release. - **release_day** (integer): Day of release. - **release_month** (integer): Month of release. - **release_year** (integer): Year of release. - **sharing** (string): Type of sharing (public/private). - **stream_url** (string): URL to stream (preview only) - **streamable** (boolean): Is streamable. - **tag_list** (string): Tags. - **uri** (string): Track URI. - **user** (object): User who uploaded a track - **avatar_url** (string): URL to a JPEG image - **city** (string): city - **country** (string): country - **description** (string): description - **discogs_name** (string): discogs name - **first_name** (string): first name - **followers_count** (integer): number of followers - **followings_count** (integer): number of followed users - **full_name** (string): first and last name - **urn** (string): unique identifier - **kind** (string): kind of resource - **created_at** (string (date-time)): profile creation datetime - **last_modified** (string (date-time)): last modified datetime - **last_name** (string): last name - **permalink** (string): permalink of the resource - **permalink_url** (string): URL to the SoundCloud.com page - **plan** (string): subscription plan of the user - **playlist_count** (integer): number of public playlists - **public_favorites_count** (integer): number of favorited public tracks - **reposts_count** (integer): number of reposts from user - **track_count** (integer): number of public tracks - **uri** (string): API resource URL - **username** (string): username - **website** (string): a URL to the website - **website_title** (string): a custom title for the website - **subscriptions** (array): a list subscriptions associated with the user - **user_favorite** (boolean): Is user's favourite. It is only set when fetching search results or single track, otherwise it is false. - **user_playback_count** (integer): Number of plays by a user. - **waveform_url** (string): Waveform URL. - **available_country_codes** (string): List of country codes where track is available. - **access** (string (playable|preview|blocked)): Level of access the user (logged in or anonymous) has to the track. * `playable` - user is allowed to listen to a full track. * `preview` - user is allowed to preview a track, meaning a snippet is available * `blocked` - user can only see the metadata of a track, no streaming is possible ("playable"|"preview"|"blocked") - **download_url** (string): URL to download a track. Omitted or null when track is not downloadable. - **reposts_count** (integer): Number of reposts. - **reveal_stats** (boolean): Whether play and favorite counts are visible. When false (quiet mode), stats are hidden. - **reveal_comments** (boolean): Whether comments are visible. When false (quiet mode), comments are hidden. - **secret_uri** (string): Secret URL. - **next_href** (string) - **future_href** (string) ``` -------------------------------- ### GET /me/feed/tracks Source: https://developers.soundcloud.com/docs/api/explorer/api.json API endpoint for GET /me/feed/tracks ```markdown ### Parameters - **access** (array (string (playable|preview|blocked)), query, optional): Filters content by level of access the user (logged in or anonymous) has to the track. The result list will include only tracks with the specified access. Include all options if you'd like to see all possible tracks. See `Track#access` schema for more details. - **limit** (integer, query, optional): Number of results to return in the collection. ### Responses #### 200 - response **Activities** - **collection** (array (object)) Array items: - **type** (string): Type of activity (track). - **created_at** (string): Created timestamp. - **origin** (object): Soundcloud Track object. - **kind** (string): Type of object (track). - **title** (string): Track title. - **artwork_url** (string): URL to a JPEG image. - **bpm** (number (double)): Tempo. - **comment_count** (integer (int64)): Number of comments. - **commentable** (boolean): Is commentable. - **created_at** (string): Created timestamp. - **description** (string): Track description. - **download_count** (integer (int64)): Number of downloads. - **downloadable** (boolean): Is downloadable. - **duration** (integer): Track duration in milliseconds. - **embeddable_by** (string): Embeddable by. - **favoritings_count** (integer (int64)): Number of favoritings. - **genre** (string): Genre - **urn** (string): Track URN identifier. - **isrc** (string): ISRC code. - **key_signature** (string): Key signature. - **label_name** (string): Label user name. - **license** (string): License - **metadata_artist** (string): Optional artist name, when different from user. - **permalink_url** (string): Permalink URL. - **playback_count** (integer (int64)): Number of plays. - **purchase_title** (string): Purchase title. - **purchase_url** (string): Purchase URL. - **release** (string): Release. - **release_day** (integer): Day of release. - **release_month** (integer): Month of release. - **release_year** (integer): Year of release. - **sharing** (string): Type of sharing (public/private). - **stream_url** (string): URL to stream (preview only) - **streamable** (boolean): Is streamable. - **tag_list** (string): Tags. - **uri** (string): Track URI. - **user** (object): User who uploaded a track - **avatar_url** (string): URL to a JPEG image - **city** (string): city - **country** (string): country - **description** (string): description - **discogs_name** (string): discogs name - **first_name** (string): first name - **followers_count** (integer): number of followers - **followings_count** (integer): number of followed users - **full_name** (string): first and last name - **urn** (string): unique identifier - **kind** (string): kind of resource - **created_at** (string (date-time)): profile creation datetime - **last_modified** (string (date-time)): last modified datetime - **last_name** (string): last name - **permalink** (string): permalink of the resource - **permalink_url** (string): URL to the SoundCloud.com page - **plan** (string): subscription plan of the user - **playlist_count** (integer): number of public playlists - **public_favorites_count** (integer): number of favorited public tracks - **reposts_count** (integer): number of reposts from user - **track_count** (integer): number of public tracks - **uri** (string): API resource URL - **username** (string): username - **website** (string): a URL to the website - **website_title** (string): a custom title for the website - **subscriptions** (array): a list subscriptions associated with the user - **user_favorite** (boolean): Is user's favourite. It is only set when fetching search results or single track, otherwise it is false. - **user_playback_count** (integer): Number of plays by a user. - **waveform_url** (string): Waveform URL. - **available_country_codes** (string): List of country codes where track is available. - **access** (string (playable|preview|blocked)): Level of access the user (logged in or anonymous) has to the track. * `playable` - user is allowed to listen to a full track. * `preview` - user is allowed to preview a track, meaning a snippet is available * `blocked` - user can only see the metadata of a track, no streaming is possible ("playable"|"preview"|"blocked") - **download_url** (string): URL to download a track. Omitted or null when track is not downloadable. - **reposts_count** (integer): Number of reposts. - **reveal_stats** (boolean): Whether play and favorite counts are visible. When false (quiet mode), stats are hidden. - **reveal_comments** (boolean): Whether comments are visible. When false (quiet mode), comments are hidden. - **secret_uri** (string): Secret URL. - **next_href** (string) - **future_href** (string) #### 401 - response **Error** - **code** (integer) - **message** (string) - **link** (string) - **error** (string) - **errors** (array (string)) - **status** (string) ### Example Usage ```bash curl -X GET "https://api.soundcloud.com/me/feed/tracks?access=playable,preview&limit=50" ``` ``` -------------------------------- ### GET /me/activities/tracks Source: https://developers.soundcloud.com/docs/api/explorer/api.json API endpoint for GET /me/activities/tracks ```markdown ### Parameters - **access** (array (string (playable|preview|blocked)), query, optional): Filters content by level of access the user (logged in or anonymous) has to the track. The result list will include only tracks with the specified access. Include all options if you'd like to see all possible tracks. See `Track#access` schema for more details. - **limit** (integer, query, optional): Number of results to return in the collection. ### Responses #### 200 - response **Activities** - **collection** (array (object)) Array items: - **type** (string): Type of activity (track). - **created_at** (string): Created timestamp. - **origin** (object): Soundcloud Track object. - **kind** (string): Type of object (track). - **title** (string): Track title. - **artwork_url** (string): URL to a JPEG image. - **bpm** (number (double)): Tempo. - **comment_count** (integer (int64)): Number of comments. - **commentable** (boolean): Is commentable. - **created_at** (string): Created timestamp. - **description** (string): Track description. - **download_count** (integer (int64)): Number of downloads. - **downloadable** (boolean): Is downloadable. - **duration** (integer): Track duration in milliseconds. - **embeddable_by** (string): Embeddable by. - **favoritings_count** (integer (int64)): Number of favoritings. - **genre** (string): Genre - **urn** (string): Track URN identifier. - **isrc** (string): ISRC code. - **key_signature** (string): Key signature. - **label_name** (string): Label user name. - **license** (string): License - **metadata_artist** (string): Optional artist name, when different from user. - **permalink_url** (string): Permalink URL. - **playback_count** (integer (int64)): Number of plays. - **purchase_title** (string): Purchase title. - **purchase_url** (string): Purchase URL. - **release** (string): Release. - **release_day** (integer): Day of release. - **release_month** (integer): Month of release. - **release_year** (integer): Year of release. - **sharing** (string): Type of sharing (public/private). - **stream_url** (string): URL to stream (preview only) - **streamable** (boolean): Is streamable. - **tag_list** (string): Tags. - **uri** (string): Track URI. - **user** (object): User who uploaded a track - **avatar_url** (string): URL to a JPEG image - **city** (string): city - **country** (string): country - **description** (string): description - **discogs_name** (string): discogs name - **first_name** (string): first name - **followers_count** (integer): number of followers - **followings_count** (integer): number of followed users - **full_name** (string): first and last name - **urn** (string): unique identifier - **kind** (string): kind of resource - **created_at** (string (date-time)): profile creation datetime - **last_modified** (string (date-time)): last modified datetime - **last_name** (string): last name - **permalink** (string): permalink of the resource - **permalink_url** (string): URL to the SoundCloud.com page - **plan** (string): subscription plan of the user - **playlist_count** (integer): number of public playlists - **public_favorites_count** (integer): number of favorited public tracks - **reposts_count** (integer): number of reposts from user - **track_count** (integer): number of public tracks - **uri** (string): API resource URL - **username** (string): username - **website** (string): a URL to the website - **website_title** (string): a custom title for the website - **subscriptions** (array): a list subscriptions associated with the user - **user_favorite** (boolean): Is user's favourite. It is only set when fetching search results or single track, otherwise it is false. - **user_playback_count** (integer): Number of plays by a user. - **waveform_url** (string): Waveform URL. - **available_country_codes** (string): List of country codes where track is available. - **access** (string (playable|preview|blocked)): Level of access the user (logged in or anonymous) has to the track. * `playable` - user is allowed to listen to a full track. * `preview` - user is allowed to preview a track, meaning a snippet is available * `blocked` - user can only see the metadata of a track, no streaming is possible ("playable"|"preview"|"blocked") - **download_url** (string): URL to download a track. Omitted or null when track is not downloadable. - **reposts_count** (integer): Number of reposts. - **reveal_stats** (boolean): Whether play and favorite counts are visible. When false (quiet mode), stats are hidden. - **reveal_comments** (boolean): Whether comments are visible. When false (quiet mode), comments are hidden. - **secret_uri** (string): Secret URL. - **next_href** (string) - **future_href** (string) #### 401 - response **Error** - **code** (integer) - **message** (string) - **link** (string) - **error** (string) - **errors** (array (string)) - **status** (string) ### Example Usage ```bash curl -X GET "https://api.soundcloud.com/me/activities/tracks?access=playable,preview&limit=50" ``` ``` -------------------------------- ### GET /me/followers Source: https://developers.soundcloud.com/docs/api/explorer/api.json API endpoint for GET /me/followers ```markdown ### Parameters - **limit** (integer, query, optional): Number of results to return in the collection. ### Responses #### 200 - response **Users** - **collection** (array (User)) Array items: - **avatar_url** (string): URL to a JPEG image - **city** (string): city - **country** (string): country - **description** (string): description - **discogs_name** (string): discogs name - **first_name** (string): first name - **followers_count** (integer): number of followers - **followings_count** (integer): number of followed users - **full_name** (string): first and last name - **urn** (string): unique identifier - **kind** (string): kind of resource - **created_at** (string (date-time)): profile creation datetime - **last_modified** (string (date-time)): last modified datetime - **last_name** (string): last name - **permalink** (string): permalink of the resource - **permalink_url** (string): URL to the SoundCloud.com page - **plan** (string): subscription plan of the user - **playlist_count** (integer): number of public playlists - **public_favorites_count** (integer): number of favorited public tracks - **reposts_count** (integer): number of reposts from user - **track_count** (integer): number of public tracks - **uri** (string): API resource URL - **username** (string): username - **website** (string): a URL to the website - **website_title** (string): a custom title for the website - **subscriptions** (array): a list subscriptions associated with the user - **next_href** (string) #### 401 - response **Error** - **code** (integer) - **message** (string) - **link** (string) - **error** (string) - **errors** (array (string)) - **status** (string) ### Example Usage ```bash curl -X GET "https://api.soundcloud.com/me/followers?limit=50" ``` ```